QwtRichTextEngine(3)

NAME
QwtRichTextEngine -

SYNOPSIS

#include <qwt_text_engine.h>

Inherits QwtTextEngine.

  Public Member Functions
QwtRichTextEngine ()
virtual void draw (QPainter *painter, const QRectF &rect, int flags, const QString &text) const
virtual double heightForWidth (const QFont &font, int flags, const QString &text, double width) const
virtual bool mightRender (const QString &) const
virtual void textMargins (const QFont &, const QString &, double &left, double &right, double &top, double &bottom) const
virtual QSizeF textSize (const QFont &font, int flags, const QString &text) const

  Additional Inherited Members

Detailed Description

A text engine for Qt rich texts. QwtRichTextEngine renders Qt rich texts using the classes of the Scribe framework of Qt.

Member Function Documentation

  void QwtRichTextEngine::draw (QPainter *painter, const QRectF &rect, intflags, const QString &text) const [virtual]
Draw the text in a clipping rectangle

Parameters:
    painter Painter
    rect Clipping rectangle
    flags Bitwise OR of the flags like in for QPainter::drawText
    text Text to be rendered

Implements QwtTextEngine.

  double QwtRichTextEngine::heightForWidth (const QFont &font, intflags, const QString &text, doublewidth) const [virtual]
Find the height for a given width

Parameters:
    font Font of the text
    flags Bitwise OR of the flags used like in QPainter::drawText
    text Text to be rendered
    width Width

Returns:
    Calculated height

Implements QwtTextEngine.

  bool QwtRichTextEngine::mightRender (const QString &text) const [virtual]
Test if a string can be rendered by this text engine

Parameters:
    text Text to be tested

Returns:
    QStyleSheet::mightBeRichText(text);

Implements QwtTextEngine.

  void QwtRichTextEngine::textMargins (const QFont &, const QString &, double &left, double &right, double &top, double &bottom) const [virtual]
Return margins around the texts

Parameters:
    left Return 0
    right Return 0
    top Return 0
    bottom Return 0

Implements QwtTextEngine.

  QSizeF QwtRichTextEngine::textSize (const QFont &font, intflags, const QString &text) const [virtual]
Returns the size, that is needed to render text

Parameters:
    font Font of the text
    flags Bitwise OR of the flags used like in QPainter::drawText
    text Text to be rendered

Returns:
    Caluclated size

Implements QwtTextEngine.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.